Get Toolkit
GET /toolkits/{toolkit_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
toolkit_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | ToolkitView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/toolkits/{toolkit_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — ToolkitView
Section titled “Response — ToolkitView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | required, nullable | — |
workspace_id | string (uuid) | null | required, nullable | — |
slug | string | required | — |
name | string | required | — |
description | string | null | required, nullable | — |
active_revision_id | string (uuid) | null | required, nullable | — |
revision_number | integer | null | optional | — |
tools | string[] | optional | — |
is_active | boolean | required | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |